GIT-REVERT(1)

NAME
git-revert - Revert an existing commit

SYNOPSIS
git-revert [--edit | --no-edit] [-n] <commit>.sp

DESCRIPTION
Given one existing commit, revert the change the patch introduces, and record a new commit that records it. This requires your working tree to be clean (no modifications from the HEAD commit)..sp

OPTIONS

<commit>
    Commit to revert.

-e|--edit
    With this option, git-revert will let you edit the commit message prior committing the revert. This is the default if you run the command from a terminal.

--no-edit
    With this option, git-revert will not start the commit message editor.

-n|--no-commit
    Usually the command automatically creates a commit with a commit log message stating which commit was reverted. This flag applies the change necessary to revert the named commit to your working tree, but does not make the commit. In addition, when this option is used, your working tree does not have to match the HEAD commit. The revert is done against the beginning state of your working tree.

    This is useful when reverting more than one commits' effect to your working tree in a row.

AUTHOR
Written by Junio C Hamano <junkio@cox.net>.sp

DOCUMENTATION
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp